#ifndef _Handle_PCollection_HAsciiString_HeaderFile
#define _Handle_PCollection_HAsciiString_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PCollection_HAsciiString;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PCollection_HAsciiString);

class Handle(PCollection_HAsciiString) : public Handle(Standard_Persistent) {
  public:

    Handle(PCollection_HAsciiString)():Handle(Standard_Persistent)() {} 
    Handle(PCollection_HAsciiString)(const Handle(PCollection_HAsciiString)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PCollection_HAsciiString)(const PCollection_HAsciiString* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PCollection_HAsciiString)& operator=(const Handle(PCollection_HAsciiString)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PCollection_HAsciiString)& operator=(const PCollection_HAsciiString* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PCollection_HAsciiString* operator->() const 
     {
      return (PCollection_HAsciiString *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PCollection_HAsciiString) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
